# This code is part of Qiskit.
#
# (C) Copyright IBM 2019, 2020.
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.

"""
Finance Components (:mod:`qiskit.finance.components`)
=====================================================
These are finance specific Aqua components where they inherit from the
respective Aqua component type base class. As they rely on finance specific
knowledge and/or functions they live here rather than in Aqua.

.. currentmodule:: qiskit.finance.components

Submodules
==========

.. autosummary::
   :toctree:

   uncertainty_problems

"""
